VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
PlugProvider Class Reference

Helper for creating and initializing component. More...

`#include <plugprovider.h>`

Inheritance diagram for PlugProvider:

## Public Types
using | ClassInfo = VST3::Hosting::ClassInfo
using | PluginFactory = VST3::Hosting::PluginFactory

## Public Member Functions
| PlugProvider (const PluginFactory &factory, ClassInfo info, bool plugIsGlobal=true)
| ~PlugProvider () override
bool | initialize ()
IComponent * | getComponent () SMTG_OVERRIDE
IEditController * | getController () SMTG_OVERRIDE
tresult | releasePlugIn (IComponent *component, IEditController *controller) SMTG_OVERRIDE
tresult | getSubCategories (IStringResult &result) const SMTG_OVERRIDE
tresult | getComponentUID (FUID &uid) const SMTG_OVERRIDE
IPluginFactory * | getPluginFactory () SMTG_OVERRIDE
| OBJ_METHODS (PlugProvider, FObject) REFCOUNT_METHODS(FObject) DEF_INTERFACES_2(ITestPlugProvider

## Public Attributes
| ITestPlugProvider2

## Protected Member Functions
bool | setupPlugin (FUnknown *hostContext)
bool | connectComponents ()
bool | disconnectComponents ()
void | terminatePlugin ()

## Protected Attributes
PluginFactory | factory
IPtr< IComponent > | component
IPtr< IEditController > | controller
ClassInfo | classInfo
OPtr< ConnectionProxy > | componentCP
OPtr< ConnectionProxy > | controllerCP
bool | plugIsGlobal

## Additional Inherited Members
Static Public Attributes inherited from ITestPlugProvider2
static const FUID | iid

## Detailed Description

Helper for creating and initializing component.

## Member Typedef Documentation

using ClassInfo = VST3::Hosting::ClassInfo

using PluginFactory = VST3::Hosting::PluginFactory

## Constructor & Destructor Documentation

PlugProvider | ( | const PluginFactory & | factory,
|  | ClassInfo | info,
|  | bool | plugIsGlobal = `true`
| ) |  |

~PlugProvider | ( |  | ) |
| override

## Member Function Documentation

bool initialize | ( |  | ) |

IComponent * getComponent | ( |  | ) |
| virtual

Implements ITestPlugProvider.

IEditController * getController | ( |  | ) |
| virtual

Implements ITestPlugProvider.

tresult releasePlugIn | ( | IComponent * | component,
|  | IEditController * | controller
| ) |  |
| virtual

Implements ITestPlugProvider.

tresult getSubCategories | ( | IStringResult & | result | ) | const
| inline virtual

Implements ITestPlugProvider.

tresult getComponentUID | ( | FUID & | uid | ) | const
| virtual

Implements ITestPlugProvider.

IPluginFactory * getPluginFactory | ( |  | ) |
| virtual

Implements ITestPlugProvider2.

OBJ_METHODS | ( | PlugProvider | ,
|  | FObject |
| ) |  |

bool setupPlugin | ( | FUnknown * | hostContext | ) |
| protected

bool connectComponents | ( |  | ) |
| protected

bool disconnectComponents | ( |  | ) |
| protected

void terminatePlugin | ( |  | ) |
| protected

## Member Data Documentation

ITestPlugProvider2

PluginFactory factory
| protected

IPtr<IComponent> component
| protected

IPtr<IEditController> controller
| protected

ClassInfo classInfo
| protected

OPtr<ConnectionProxy> componentCP
| protected

OPtr<ConnectionProxy> controllerCP
| protected

bool plugIsGlobal
| protected

Empty

Copyright ©2022 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.